PRO subImage, filename, startn, endn 

;*****************************************************************
; procedure sub_image.pro
; This procedure subtracts the images in a chop and or nod set.
; @variables:
;     filename - prefix of the file names. ex m20021101_
;     startn   - file number of the first image.
;     endn     - file number of the last image.
; @output  output file names are prefixed by the letter "d"
; 
; @version: 1.0
; @author: Marc Kassis
;
;*****************************************************************


 
 ; loops over the number of images 
 FOR i=startn, endn  DO BEGIN 
   image_name = filename  
   IF (i LT 1000) THEN image_name = filename + '0' 
   IF (i LT 100)  THEN image_name = filename + '00' 
   IF (i LT 10)   THEN image_name = filename + '000' 

   image_name = image_name + strtrim(string(i),2)	+ '.fits'

   does_exist = file_search(image_name)

   if(does_exist eq image_name) THEN BEGIN

     ;read the data
     data  = READFITS(image_name, header, EXTEN_NO=0)
     data2 = READFITS(image_name, EXTEN_NO=1)
     data3 = READFITS(image_name, EXTEN_NO=2)
     data4 = READFITS(image_name, EXTEN_NO=3)

     IF data2[0] ne -1 THEN data = data - data2
     IF data4[0] ne -1 THEN data = data - data3 + data4

     image_name = 'd' + image_name
     writefits, image_name, data, header
   ENDIF ELSE BEGIN
     print, 'File does not exist. Skipping '+ image_name + ' .'
   ENDELSE

 ENDFOR

end
